import mPOS2SDK
import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]? = nil) -> Bool {
        MposHandler.initSdk()

        if #available(iOS 15, *) {
            let appearance = UINavigationBarAppearance()
            appearance.configureWithOpaqueBackground()
            appearance.titleTextAttributes = [NSAttributedString.Key.font: UIFont(name: "HelveticaNeue", size: 19.0)!, NSAttributedString.Key.foregroundColor: UIColor.white]
            appearance.backgroundColor = UIColor.systemBlue

            let buttonAppearance = UIBarButtonItemAppearance()
            buttonAppearance.normal.titleTextAttributes = [.foregroundColor: UIColor.white]

            UINavigationBar.appearance().standardAppearance = appearance
            UINavigationBar.appearance().scrollEdgeAppearance = appearance
            UINavigationBar.appearance().standardAppearance.buttonAppearance = buttonAppearance
            UINavigationBar.appearance().standardAppearance.backButtonAppearance = buttonAppearance
            UINavigationBar.appearance().standardAppearance.doneButtonAppearance = buttonAppearance
        } else {
            let appearance = UINavigationBar.appearance()
            appearance.titleTextAttributes = [NSAttributedString.Key.font: UIFont(name: "HelveticaNeue", size: 19.0)!, NSAttributedString.Key.foregroundColor: UIColor.white]
            appearance.tintColor = UIColor.white
            appearance.barTintColor = UIColor.systemBlue
            appearance.backgroundColor = UIColor.systemBlue
        }
        return true
    }

    func applicationWillResignActive(_ application: UIApplication) {}

    func applicationDidEnterBackground(_ application: UIApplication) {}

    func applicationWillEnterForeground(_ application: UIApplication) {}

    func applicationDidBecomeActive(_ application: UIApplication) {}

    func applicationWillTerminate(_ application: UIApplication) {}
}
