import UIKit

class LogViewController: UIViewController {

    var logData = LogData()
    private var textFieldController: TextFieldController?

    @IBOutlet weak var logTextView: UITextView!

    override func viewDidLoad() {
        super.viewDidLoad()
        self.logTextView.text = self.logData.toString()
    }

    @IBAction func onClearButton(sender: AnyObject) {
        self.clear()
    }

    func clear() {
        self.logData.clear()
        self.logTextView.text = ""
    }
}

extension LogViewController {
    class func logViewControllerWithOwnerViewController(_ ownerViewController: UIViewController, logData: LogData) -> LogViewController {
        let logViewController: LogViewController = ownerViewController.storyboard?.instantiateViewController(withIdentifier: "LogViewController") as! LogViewController
        logViewController.logData = logData
        return logViewController
    }
}
